<?php

/**
 * Selector
 */
$GLOBALS['TL_DCA']['tl_form']['palettes']['__selector__'][] = 'custom_mail_transponder';
$GLOBALS['TL_DCA']['tl_form']['palettes']['__selector__'][] = 'use_swiftmailer_mail_transponder';

/**
 * Modify default palette
 */
$GLOBALS['TL_DCA']['tl_form']['palettes']['default'] = str_replace('sendViaEmail','sendViaEmail,custom_mail_transponder', $GLOBALS['TL_DCA']['tl_form']['palettes']['default']);

/**
 * Subpalettes
 */
$GLOBALS['TL_DCA']['tl_form']['subpalettes']['custom_mail_transponder'] = 'use_php_mail_transponder,use_swiftmailer_mail_transponder';
$GLOBALS['TL_DCA']['tl_form']['subpalettes']['use_swiftmailer_mail_transponder'] = 'use_swiftmailer_mail_transponder_command';


/**
 * Add fields to tl_content
 */
$GLOBALS['TL_DCA']['tl_form']['fields']['custom_mail_transponder'] = array
    (
    'label' => &$GLOBALS['TL_LANG']['tl_form']['custom_mail_transponder'],
    'exclude' => true,
    'search' => true,
    'inputType' => 'checkbox',
    'eval' => array('submitOnChange'=>true),
    'sql' => "char(1) NOT NULL default ''"
);

$GLOBALS['TL_DCA']['tl_form']['fields']['use_php_mail_transponder'] = array(
    'label' => &$GLOBALS['TL_LANG']['tl_form']['use_php_mail_transponder'],
    'exclude' => true,
    'search' => true,
    'inputType' => 'checkbox',
    'eval' => array('submitOnChange'=>true),
    'sql' => "char(1) NOT NULL default ''"
);

$GLOBALS['TL_DCA']['tl_form']['fields']['use_swiftmailer_mail_transponder'] = array(
    'label' => &$GLOBALS['TL_LANG']['tl_form']['use_swiftmailer_mail_transponder'],
    'exclude' => true,
    'search' => true,
    'inputType' => 'checkbox',
    'eval' => array('submitOnChange'=>true),
    'sql' => "char(1) NOT NULL default ''"
);

$GLOBALS['TL_DCA']['tl_form']['fields']['use_swiftmailer_mail_transponder_command'] = array(
    'label' => &$GLOBALS['TL_LANG']['tl_form']['use_swiftmailer_mail_transponder_command'],
    'exclude' => true,
    'search' => true,
    'inputType' => 'text',
    'reference' => &$GLOBALS['TL_LANG']['tl_form']['use_swiftmailer_mail_transponder_command_help'],
    'eval' => array('maxlength'=>255, 'tl_class'=>'clr', 'helpwizard'=>true),
    'sql' => "varchar(255) NOT NULL default '/usr/sbin/sendmail -bs'"
);
